Subject: Re: linux-next: manual merge of the driver-core tree with the jc_docs tree

From: Jonathan Corbet <[email-masked]>
Date: Mon, 26 Sep 2022 16:54:45 -0600

наб <[email-masked]> writes:

> Hi!
>
> On Mon, Sep 26, 2022 at 10:06:31PM +0100, [email-masked] wrote:
>> Today's linux-next merge of the driver-core tree got a conflict in:
>> 
>>   Documentation/process/magic-number.rst
>> 
>> between commit:
>> 
>>   32ba63d4b2e1a ("Doc update: Correct magic values from nbd protocol, V2")
>> 
>> from the jc_docs tree and commits:
>> 
>>   82805818898dd ("Documentation: NBD_REPLY_MAGIC isn't a magic number")
>>   bd5926220ffe0 ("nbd: remove define-only NBD_MAGIC, previously magic number")
>> 
>> from the driver-core tree (and probably more for context).
>
> If I'm reading the merge right (very much not a given!),
> it seems that the NBD_REPLY_MAGIC (and LO_MAGIC?) constant(s) survived:
> they both need to go for reasons listed in
>   bd5926220ffe0: LO_MAGIC doesn't exist
>   82805818898dd: NBD_REPLY_MAGIC is part of the line protocol,
>                  not a magic number 
>
> This also reveals that I missed NBD_REQUEST_MAGIC
> (needs to go, same reason as NBD_REPLY_MAGIC)
> in the first pass, but that's unrelated here.

I've been trying to make sense of that merge myself.  Is the right
solution that I should just drop 32ba63d4b2e1a ?  Manfred, thoughts on
that?

Thanks,

jon